/* GnomeScanUI - Widgets for scan dialogs
 *
 * gnomescansourceselector.h
 *
 * Copyright © 2006 Étienne Bersac
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 */

/**
 * SECTION:gnomescansourceselector
 * @short_description: A widget that select the scan source
 *
 * #GnomeScanSourceSelector grab the selection of a device and show
 * the list of available document source in that device. If no choice
 * is possible, the widget hide it self. However, it still configure
 * the context to use such device.
 */

#ifndef GNOME_SCAN_SOURCE_SELECTOR_H
#define GNOME_SCAN_SOURCE_SELECTOR_H

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include "gnomescanoptionwidget.h"

G_BEGIN_DECLS

#define	GNOME_TYPE_SCAN_SOURCE_SELECTOR			(gnome_scan_source_selector_get_type ())
#define GNOME_SCAN_SOURCE_SELECTOR(obj)			(G_TYPE_CHECK_INSTANCE_CAST ((obj), GNOME_TYPE_SCAN_SOURCE_SELECTOR, GnomeScanSourceSelector))
#define GNOME_SCAN_SOURCE_SELECTOR_CLASS(klass)		(G_TYPE_CHECK_CLASS_CAST ((klass), GNOME_TYPE_SCAN_SOURCE_SELECTOR, GnomeScanSourceSelectorClass))
#define GNOME_IS_SCAN_SOURCE_SELECTOR(obj)		(G_TYPE_CHECK_INSTANCE_TYPE ((obj), GNOME_TYPE_SCAN_SOURCE_SELECTOR))
#define GNOME_IS_SCAN_SOURCE_SELECTOR_CLASS(klass)	(G_TYPE_CHECK_CLASS_TYPE ((klass), GNOME_TYPE_SCAN_SOURCE_SELECTOR))
#define GNOME_SCAN_SOURCE_SELECTOR_GET_CLASS(obj)	(G_TYPE_INSTANCE_GET_CLASS ((obj), GNOME_TYPE_SCAN_SOURCE_SELECTOR, GnomeScanSourceSelectorClass))

typedef struct _GnomeScanSourceSelector			GnomeScanSourceSelector;
typedef struct _GnomeScanSourceSelectorClass		GnomeScanSourceSelectorClass;

struct _GnomeScanSourceSelector {
  GtkComboBox		parent;
};

struct _GnomeScanSourceSelectorClass {
  GtkComboBoxClass	parent;

  /* SIGNALS */
};

enum {
  GNOME_SCAN_SOURCE_SELECTOR_ERROR_FAILED
};

/* GObject functions */
GType			gnome_scan_source_selector_get_type		(void)	G_GNUC_CONST;

/* Methods */

GtkWidget*		gnome_scan_source_selector_new 			(GnomeScanContext *context);

G_END_DECLS

#endif
